SNAKE4(6)

NAME
snake4, snake4scores - Game starring a fruit-eating snake.

SYNOPSIS
snake4 [-hHV] [-M file] [--help] [--highscores] [--version] [--merge-highscores=file]

snake4scores

DESCRIPTION
The snake4 program is my fourth implementation of the snake game, written for Unix and X11. Previous versions were written for MS-DOS.

Move the snake around the screen and eat food. The snake grows in length as you eat. Avoid hitting the fence, eating lethal mushrooms and rotten food, and biting your own tail.

Now and then a slim-pill will bounce around. If you eat this, you will get shorter, and you will gain bonus points for every length you loose. The bonus is also given when a round is over.

When food starts blinking, it's about to rot. Rotten food is poisonous, and thus uneatable. As long as it blinks, it can still be eaten.

Oh, yes - I almost forgot: You may be visited by the evil headbanger. Take my advice and run away from him before he hits you in the head! He won't stay long.

The keys used to control the game are given at startup.

snake4 features a site-wide highscore file. The file contains the top 200 users. Each user may appear once only in the highscore table.

For technical reasons, snake4 connects to the X11 server before parsing options. This makes it impossible to eg. browse the highscore table using -H if no server is available. To be able to see the scores in such a case, snake4scores produces the same output as snake4 with option -H, but does no attempt on connecting to the X11 server.

  OPTIONS

-h, --help
    Print a usage message on standard output, and exit successfully.

-H, --highscores
    Dump the highscore list to standard output, and exit successfully. Starting snake4 with the name snake4score does the same thing, without first connecting to the X11 server. Note that this will possibly print more entries than the 20 or so that will fit within the game startup screen.

-V, --version
    Print version information on standard output, then exit successfully.

-M, --merge-highscores=file
    Merge separate highscore file file into the default highscore file, and exit successfully. Displays the new highscore table. This option is for the game owner or root only.

X11 OPTIONS
In addition to the above mentioned options, snake4 accepts the standard X11 toolkit options.

AUTHOR
Sverre H. Huseby <shh@thathost.com>.